Subject: [alpine-aports] [PATCH] testing/rc: new aport

From: Sören Tempel <[email-masked]>
Date: Thu, 24 Sep 2015 23:37:39 +0200

---
 testing/rc/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/rc/APKBUILD

diff --git a/testing/rc/APKBUILD b/testing/rc/APKBUILD
new file mode 100644
index 0000000..278a4fd
--- /dev/null
+++ b/testing/rc/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=rc
+pkgver=1.7.4
+pkgrel=0
+pkgdesc="An alternative implementation of the plan 9 rc shell"
+url="http://tobold.org/article/rc"
+arch="all"
+license="custom"
+depends=""
+depends_dev="readline-dev ncurses-dev"
+makedepends="$depends_dev"
+install="$pkgname.post-install $pkgname.pre-deinstall"
+subpackages="$pkgname-doc"
+source="http://static.tobold.org/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--bindir=/bin \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		--with-edit=gnu \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+
+	mkdir -p "$pkgdir"/usr/share/licenses/$pkgname
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/ || return 1
+}
+
+md5sums="f99732d7a8be3f15f81e99c3af46dc95  rc-1.7.4.tar.gz"
+sha256sums="5ed26334dd0c1a616248b15ad7c90ca678ae3066fa02c5ddd0e6936f9af9bfd8  rc-1.7.4.tar.gz"
+sha512sums="49e124207b5370b88b8fba0376dda33451451a58bfb85fabfc06ae59eb88fedf38d7aeaaf292e4f380e2c00efc8301ba68d12180923186d1c53ef94f78f7e435  rc-1.7.4.tar.gz"
-- 
2.5.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 24 Sep 2015 23:41:32 +0200

---
 testing/rc/APKBUILD         | 44 ++++++++++++++++++++++++++++++++++++++++++++
 testing/rc/rc.post-install  |  3 +++
 testing/rc/rc.pre-deinstall |  3 +++
 3 files changed, 50 insertions(+)
 create mode 100644 testing/rc/APKBUILD
 create mode 100644 testing/rc/rc.post-install
 create mode 100644 testing/rc/rc.pre-deinstall

diff --git a/testing/rc/rc.post-install b/testing/rc/rc.post-install
new file mode 100644
index 0000000..4cf16ec
--- /dev/null
+++ b/testing/rc/rc.post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+add-shell '/bin/rc'
+exit 0
diff --git a/testing/rc/rc.pre-deinstall b/testing/rc/rc.pre-deinstall
new file mode 100644
index 0000000..83a26d6
--- /dev/null
+++ b/testing/rc/rc.pre-deinstall
@@ -0,0 +1,3 @@
+#!/bin/sh
+remove-shell '/bin/rc'
+exit 0
-- 
2.5.3

---